---
title: "Overview"
geekdocDescription: "Introduction to the burble.dn42 network"
weight: 0
---
burble.dn42 is an experimental global network within [DN42](https://dn42.dev).

The network is well [connected](https://map42.0x7f.cc/) with a large number of
peers, and hosts some of the [DN42 core infrastructure](/services/dn42).

![logo](/burble-dn42-map.png)

## Topology

{{<hint info>}}
Dec 2021 - The burble.dn42 network is being re-designed !  
More details coming soon.
{{</hint>}}

*Previous design*

All nodes in the burble.dn42 network are fully meshed with wireguard tunnels.<br/>
iBGP with [BGP Confederations](https://en.wikipedia.org/wiki/BGP_confederation) and
a latency based metric are used as the interior routing protocol between nodes.
iBGP is also fully meshed. and the configuration for both iBGP and wireguard tunnels
is built using a number of [Ansible](https://www.ansible.com/) scripts. 

The current network design was introduced in December 2019; previous designs for
the network have included a VXLAN overlay over the wireguard mesh to create a
single layer 2 network, together with the use of OSPF as the
IGP. Other variations have included using BABEL, and tinc.

## Core Technologies

A selection of key technologies used within the network

- [Ubuntu](https://ubuntu.com) - node operating system
- [Bird2](https://bird.network.cz/) - routing daemon
- [LXD](https://linuxcontainers.org/lxd/introduction/) - for virtualisation and containers
- [Packer](https://www.packer.io/) - for container builds
- [Alpine Linux](https://alpinelinux.org/) - used for containers
- [Ansible](https://www.ansible.com/) - for deploying configuration



